#ifndef __MF_PUBLICDEFS__
#define __MF_PUBLICDEFS__
/****************************************************************************************


		MFPublicDefs.h

		This file contains the public definitions of standard menu Action Numbers, Tool IDs, 
		resource IDs, etc. that can be used by others.
		
		It can be included in C++ and rez/mrc files as well.


		Copyright Copyright: (c) 2001 Eovia Corp. All rights reserved. All Rights Reserved.

											     
		Author:	Yann
		Date:	06/16/99


		Revision History

		when		who			what & why
		==========	==========	======================================================
		10/11/99	Ian			Added help file string defines.
		10/11/99	Ian			Adjusted kWebStrings to avoid collision.
		9/12/99		Pierre		added support for SingleDocumentWindow Mode
		8/30/99		Ian			Added kWebMenuID, and kWebStrings.
		7/16/99		Ian			Added kUtilityMenuID.
		06/17/99	Yann		Renamed file
		06/16/99	Yann		Extracted the public defines from MFResDefines.h and moved them here

****************************************************************************************/

#define	kaNoAction	0
#define	kaCantUndoRedo	-1

#include "MFCommandIdRanges.h"

//<UNIQUE command IDs> (Action numbers AND tool ids)
//MFCommandIdRanges.h reserves 1000-6999

#define	kaNew					(kMFCmdIDBase + 10)	//1010
#define	kaNewLast				(kMFCmdIDBase + 19)	//1019
#define	kaOpen					(kMFCmdIDBase + 20)	//1020
#define	kaOpenLast				(kMFCmdIDBase + 29)	//1029

#define	kaSave					(kMFCmdIDBase + 30)	//1030
#define	kaClose					(kMFCmdIDBase + 31)	//1031
#define	kaSaveAs				(kMFCmdIDBase + 32)	//1032
#define	kaSaveCopy				(kMFCmdIDBase + 33)	//1033
#define	kaRevert				(kMFCmdIDBase + 34)	//1034

#define	kaQuit					(kMFCmdIDBase + 36)	//1036
#define kaExport				(kMFCmdIDBase + 37)	//1037
#define kaImport				(kMFCmdIDBase + 38)	//1038
#define kaHideApplication		(kMFCmdIDBase + 39)	//1039

#define kaMenuCascade			(kMFCmdIDBase + 61)	//1061
#define kaMenuTile				(kMFCmdIDBase + 62)	//1062
#define kaMenuHorizontal		(kMFCmdIDBase + 63)	//1063
#define kaMenuVertical			(kMFCmdIDBase + 64)	//1064
#define kaMenuArrange			(kMFCmdIDBase + 65)	//1065
#define kaMenuCloseAll			(kMFCmdIDBase + 66)	//1066
#define kaToolbars				(kMFCmdIDBase + 67)	//1067
#define kaStatusBar				(kMFCmdIDBase + 68)	//1068
#define kaMaxedDocWindowMode	(kMFCmdIDBase + 69)	//1069

#define	kaUndo					(kMFCmdIDBase + 101)	//1101
#define	kaRedo					(kMFCmdIDBase + 102)	//1102
#define	kaCut					(kMFCmdIDBase + 103)	//1103
#define	kaCopy					(kMFCmdIDBase + 104)	//1104
#define	kaPaste					(kMFCmdIDBase + 105)	//1105
#define	kaClear					(kMFCmdIDBase + 106)	//1106

#define	kaSelectAll				(kMFCmdIDBase + 110)	//1110

#define	kaTyping				(kMFCmdIDBase + 120)	//1120
#define	kaMouseAction			(kMFCmdIDBase + 121)	//1121
#define kaScrollMouseAction		(kMFCmdIDBase + 122)	//1122

#define	kaDuplicate				(kMFCmdIDBase + 130)	//1130

#define	kaGroup					(kMFCmdIDBase + 140)	//1140
#define	kaUngroup				(kMFCmdIDBase + 141)	//1141
#define	kaGroupUngroup			(kMFCmdIDBase + 142)	//1142
#define tGroup					(kMFCmdIDBase + 143)	//1143

#define kaPageSetup				(kMFCmdIDBase + 175)	//1175
#define kaPrinterSetup			(kMFCmdIDBase + 176)	//1176
#define kaPrintOne				(kMFCmdIDBase + 177)	//1177
#define kaPrint					(kMFCmdIDBase + 178)	//1178
#define kaPrintToFile			(kMFCmdIDBase + 179)	//1179

#define kaPrintSpoolFile		(kMFCmdIDBase + 190)	//1190

#define kaPrFileMax				(kMFCmdIDBase + 195)	//1195


#define kaPreferences			(kMFCmdIDBase + 701)	//1701
#define kaResetPreferences		(kMFCmdIDBase + 702)	//1702
#define kaShowTips				(kMFCmdIDBase + 703)	//1703

//Define range for dynamic utility actions: 1800 to 1899 (included)
#define	kFirstUtilityActionNumber	(kMFCmdIDBase +  800)	//1800
#define	kLastUtilityActionNumber	(kMFCmdIDBase +  899)	//1899

//Define range for dynamic web actions: 1900 to 1999 (included)
#define kFirstWebActionNumber		(kMFCmdIDBase +  900)	//1900
#define kLastWebActionNumber		(kMFCmdIDBase +  999)	//1999

//Define range for dynamic help actions: 2000 to 2099 (included)
#define kFirstHelpActionNumber		(kMFCmdIDBase + 1000)	//2000
#define kLastHelpActionNumber		(kMFCmdIDBase + 1099)	//2099

//Define range for dynamic enabling of ui toolgroups/windows: 2100 to 2199 (included)
#define kFirstDockMgrActionNumber	(kMFCmdIDBase + 1100)	//2000
#define kLastDockMgrActionNumber	(kMFCmdIDBase + 1199)	//2199


//</UNIQUE command IDs>



#define kUtilityMenuID 10000
#define kWebMenuID 10001
#define kHelpMenuID 10002
#define kEmptyMenuID 10003		//use this when you need an empty menu to fill yourself (eg contextual menu)

#ifndef qCarraraCanvas
#define kWebStrings	10011
#else
#define kWebStrings 10021
#endif
#define kHelpStrings 10012

#endif



